<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('geo_villages', function (Blueprint $table) {
            $table->id();
            $table->integer('geo_district_id');
            $table->string('name');
            $table->string('postal_code', 15)->nullable();
            $table->tinyInteger('is_deleted')->nullable()->default(0);
            $table->timestamp('created_at');
            $table->timestamp('updated_at')->nullable();
            $table->timestamp('deleted_at')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::drop('geo_villages');
    }
};
